MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024165Open CASCADE[OCCT] OCCT:WOKpublic2013-09-12 10:532013-12-19 13:57
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024165: Eliminate compiler warnings on unused variables in files generated by WOK (Schema)
DescriptionFiles generated by WOK for standard persistence (*Schema*) contain multiple places causing compilers (in particular VC10) to warn on unused arguments of functions, or local variables. The generated code should be improved to prevent this kind of warnings.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0023947closedomy Eliminate trivial compiler warnings in MSVC++ with warning level 4 

-  Notes
(0025541)
abv (manager)
2013-09-12 10:57

Correction pushed to CR24165; please review
(0025542)
kgv (developer)
2013-09-12 11:40

No comments, please integrate.
(0025769)
bugmaster (administrator)
2013-09-27 10:53

Fix has been integrated into master of occt-wok repository

- Issue History
Date Modified Username Field Change
2013-09-12 10:53 abv New Issue
2013-09-12 10:53 abv Assigned To => kgv
2013-09-12 10:54 abv Relationship added child of 0023947
2013-09-12 10:57 abv Note Added: 0025541
2013-09-12 10:57 abv Status new => resolved
2013-09-12 11:40 kgv Note Added: 0025542
2013-09-12 11:40 kgv Assigned To kgv => abv
2013-09-12 11:40 kgv Status resolved => reviewed
2013-09-12 11:40 kgv Assigned To abv => bugmaster
2013-09-27 10:53 bugmaster Note Added: 0025769
2013-09-27 10:53 bugmaster Status reviewed => verified
2013-09-27 10:53 bugmaster Resolution open => fixed
2013-09-27 10:53 bugmaster Assigned To bugmaster => abv
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:57 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker